Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::IntBlockPool Class Reference

`#include <IntBlockPool.h>`

Inheritance diagram for Lucene::IntBlockPool:

## Public Member Functions

| IntBlockPool (const DocumentsWriterPtr &docWriter, bool trackAllocations)
virtual | ~IntBlockPool ()
virtual String | getClassName ()
boost::shared_ptr< IntBlockPool > | shared_from_this ()
void | reset ()
void | nextBuffer ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< IntArray > | buffers
int32_t | bufferUpto
int32_t | intUpto
IntArray | buffer
int32_t | intOffset
bool | trackAllocations

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ IntBlockPool()

Lucene::IntBlockPool::IntBlockPool | ( | const DocumentsWriterPtr & | docWriter,
|  | bool | trackAllocations
| ) |  |

## ◆ ~IntBlockPool()

virtual Lucene::IntBlockPool::~IntBlockPool | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::IntBlockPool::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::IntBlockPool::getClassName | ( |  | ) |

inline virtual

## ◆ nextBuffer()

void Lucene::IntBlockPool::nextBuffer | ( |  | ) |

## ◆ reset()

void Lucene::IntBlockPool::reset | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< IntBlockPool > Lucene::IntBlockPool::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::IntBlockPool::_docWriter

protected

## ◆ buffer

IntArray Lucene::IntBlockPool::buffer

## ◆ buffers

Collection<IntArray> Lucene::IntBlockPool::buffers

## ◆ bufferUpto

int32_t Lucene::IntBlockPool::bufferUpto

## ◆ intOffset

int32_t Lucene::IntBlockPool::intOffset

## ◆ intUpto

int32_t Lucene::IntBlockPool::intUpto

## ◆ trackAllocations

bool Lucene::IntBlockPool::trackAllocations

The documentation for this class was generated from the following file:

- IntBlockPool.h

clucene.sourceforge.net